
CoCoA-5 - Bug #1172

MinSubsetOfGens: problem with generators = 0

04 Apr 2018 09:30 - Elisa Palezzato

Status: Closed Start date: 04 Apr 2018

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: bug Estimated time: 0.00 hour

Target version: CoCoA-5.2.4 Spent time: 2.00 hours

Description

In case of type MODULE there is:

J := submodule(ModuleOf(X), WithoutNth(L,I));

 

but it does not allow to verify IsIn, in the line below, in case of a zero vector.

I tried with:

J := submodule(ModuleOf(X), [V In WithoutNth(L,I) | not(IsZero(V))]);

 

and it works fine.

History

#1 - 04 Apr 2018 12:05 - Anna Maria Bigatti

which package?

#2 - 04 Apr 2018 12:27 - Anna Maria Bigatti

- Category set to bug

- Target version set to CoCoA-5.2.4

- % Done changed from 0 to 30

The problem is actually in GBasis(M) when gens(M) contains a 0 element.

Fixing...

#3 - 04 Apr 2018 14:31 - Anna Maria Bigatti

Fixed GPolyList EmbedVectorList(const VectorList& theVL, const GRingInfo& theGRI, const long StartingFromCompIndex) in TmpGReductor.C.

Now we can compute GBasis of a submodule with zero-vectors in the generators.

#4 - 04 Apr 2018 14:35 - Anna Maria Bigatti

- Subject changed from MinSubsetOfGens to MinSubsetOfGens: problem with generators = 0

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 30 to 90

#5 - 30 Jul 2018 14:23 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
